NSX-T Data Center REST API

Create Port QoS Profile Binding Map

API will create Port QoS Profile Binding Map. For objects with no binding maps, default profile is applied.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-qos-profile-binding-maps/{port-qos-profile-binding-map-id}
/policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-qos-profile-binding-maps/{port-qos-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-qos-profile-binding-maps/{port-qos-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PortQoSProfileBindingMap+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/tier-1s/tier-1/segments/segment_1/ports/port_1/port-qos-profile-binding-maps/1 { "resource_type":" PortQoSProfileBindingMap", "display_name":"1", "qos_profile_path":"/infra/qos_profiles/1" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: